Bug 1118725 - ipa-client-install fails with unsupported extended operation
Summary: ipa-client-install fails with unsupported extended operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 11:25 UTC by Petr Lautrbach
Modified: 2014-09-11 02:43 UTC (History)
6 users (show)

Fixed In Version: freeipa-4.0.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 02:43:57 UTC


Attachments (Terms of Use)

Description Petr Lautrbach 2014-07-11 11:25:24 UTC
Description of problem:
# ipa-client-install 
WARNING: ntpd time&date synchronization service will not be configured as
conflicting service (chronyd) is enabled
Use --force-ntpd option to disable it and force configuration of ntpd

DNS domain 'virt' is not configured for automatic KDC address lookup.
KDC address will be set to fixed value.
Discovery was successful!
Hostname: rawhide.1.virt
Realm: VIRT
DNS Domain: 1.virt
IPA Server: fedora20.1.virt
BaseDN: dc=virt

Continue to configure the system with these values? [no]: yes
Synchronizing time with KDC...
Unable to sync time with IPA NTP server, assuming the time is in sync. Please check that 123 UDP port is opened.
User authorized to enroll computers: admin
Password for admin@VIRT: 
Successfully retrieved CA cert
    Subject:     CN=Certificate Authority,O=VIRT
    Issuer:      CN=Certificate Authority,O=VIRT
    Valid From:  Fri Jul 11 10:45:57 2014 UTC
    Valid Until: Tue Jul 11 10:45:57 2034 UTC

Joining realm failed: Failed to parse result! unsupported extended operation
Failed to get keytab
child exited with 9

Installation failed. Rolling back changes.
IPA client is not configured on this system.


Version-Release number of selected component (if applicable):
freeipa-server-3.3.5-1.fc20.x86_64
freeipa-client-4.0.0-1.fc21.x86_64



Steps to Reproduce:
1. run ipa-server-install on fedora20.1.virt
2. use basic simple setup with dns
3. run ipa-client-install on rawhide.1.virt

Actual results:


Expected results:


Additional info:

Comment 1 Martin Kosek 2014-07-17 15:09:28 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4446

Comment 2 Martin Kosek 2014-07-22 08:40:38 UTC
Update: this bug is currently being investigated upstream and the current plan is to release a fixed version of freeipa in the end of this week.

Comment 5 Fedora Update System 2014-09-08 08:14:45 UTC
freeipa-4.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/freeipa-4.0.2-1.fc21

Comment 6 Fedora Update System 2014-09-08 16:09:46 UTC
Package freeipa-4.0.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipa-4.0.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10298/freeipa-4.0.2-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-11 02:43:57 UTC
freeipa-4.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.